/* ==========================================================================
   Archijeunes FSE – Page Layout
   Layout des pages standards (sidebar + contenu)
   ========================================================================== */

.layout-page {
  align-items: flex-start;
}

/* --------------------------------------------------------------------------
   Desktop - Sidebar fixe
   -------------------------------------------------------------------------- */

@media (min-width: 1221px) {
  .page main {
    padding: 7rem 0 10rem 0;
  }
  .single main {
    padding: 6rem 0 10rem 0;
  }
  .layout-page > .wp-block-column:first-child {
    position: fixed;
    top: 168px;
    left: 0;
    flex-basis: 40% !important;
    max-width: 40% !important;
    height: calc(100vh - 168px - 100px);
    overflow-y: auto;
    overflow-x: hidden;
    padding-left: var(--wp--preset--spacing--large);
    padding-top: var(--wp--preset--spacing--medium);
    padding-bottom: var(--wp--preset--spacing--large);
  }

  .layout-page > .wp-block-column:last-child {
    flex-basis: 60% !important;
    max-width: 60% !important;
    margin-left: 37%;
  }
}

/* --------------------------------------------------------------------------
   Tablet - Sidebar fixe aussi
   -------------------------------------------------------------------------- */

@media (min-width: 1201px) and (max-width: 1220px) {
  .layout-page > .wp-block-column:first-child {
    position: fixed;
    top: 168px;
    left: 0;
    flex-basis: 40% !important;
    max-width: 40% !important;
    height: calc(100vh - 168px - 100px);
    overflow-y: auto;
    overflow-x: hidden;
    padding-left: var(--wp--preset--spacing--large);
    padding-top: var(--wp--preset--spacing--medium);
    padding-bottom: var(--wp--preset--spacing--large);
  }

  .layout-page > .wp-block-column:last-child {
    flex-basis: 62% !important;
    max-width: 62% !important;
    margin-left: 28%;
  }
}

/* --------------------------------------------------------------------------
   Forcer padding-bottom à 0 pour les groupes de contenu (desktop)
   -------------------------------------------------------------------------- */

@media (min-width: 1201px) {
  .wp-block-group.is-content-justification-left.is-layout-constrained.wp-block-group-is-layout-constrained {
    padding-bottom: 0 !important;
    padding-top: 0 !important;
  }
}

/* --------------------------------------------------------------------------
   Mobile
   -------------------------------------------------------------------------- */

@media (max-width: 1200px) {
  .layout-page > .wp-block-column:first-child {
    display: none;
  }

  .layout-page > .wp-block-column:last-child {
    flex-basis: 100% !important;
    max-width: 100% !important;
    padding-inline: 2rem;
  }
}
